## org.eclipse.emf.ecore.util
Class FeatureMapUtil.FeatureEList.Basic<E>

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              org.eclipse.emf.ecore.util.FeatureMapUtil.FeatureEList<E>
                  org.eclipse.emf.ecore.util.FeatureMapUtil.FeatureEList.Basic<E>

All Implemented Interfaces:
  java.lang.Iterable<E>, java.util.Collection<E>, java.util.List<E>, EList<E>, EStructuralFeature.Setting, InternalEList<E>, InternalEList.Unsettable<E>

Enclosing class:
  FeatureMapUtil.FeatureEList<E>

    public static class FeatureMapUtil.FeatureEList.Basic<E>

extends FeatureMapUtil.FeatureEList<E>

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.util.FeatureMapUtil.FeatureEList
`FeatureMapUtil.FeatureEList.Basic<E>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.util.InternalEList
`InternalEList.Unsettable<E>`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.util.FeatureMapUtil.FeatureEList
`feature, featureMap`

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`FeatureMapUtil.FeatureEList.Basic(EStructuralFeature feature, FeatureMap.Internal featureMap)`

Method Summary
`java.util.List<E>` `basicList()` Returns an unmodifiable list that yields unresolved values.
`java.util.Iterator<E>` `iterator()`
`java.util.ListIterator<E>` `listIterator()`
`java.util.ListIterator<E>` `listIterator(int index)`

Methods inherited from class org.eclipse.emf.ecore.util.FeatureMapUtil.FeatureEList

`add, add, addAll, addAll, addAllUnique, addAllUnique, addUnique, addUnique, addUnique, basicAdd, basicGet, basicIterator, basicListIterator, basicListIterator, basicRemove, clear, contains, containsAll, get, get, getEObject, getEStructuralFeature, getFeature, getFeatureID, indexOf, isEmpty, isSet, lastIndexOf, move, move, remove, remove, removeAll, retainAll, set, set, setUnique, size, toArray, toArray, toString, unset`

Methods inherited from class java.util.AbstractList
`equals, hashCode, removeRange, subList`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`equals, hashCode, subList`

Constructor Detail

### FeatureMapUtil.FeatureEList.Basic

    public FeatureMapUtil.FeatureEList.Basic(EStructuralFeature feature,
                                             FeatureMap.Internal featureMap)

Method Detail

### iterator

    public java.util.Iterator<E> iterator()

  Specified by:
    `iterator` in interface `java.lang.Iterable<E>`
  Specified by:
    `iterator` in interface `java.util.Collection<E>`
  Specified by:
    `iterator` in interface `java.util.List<E>`
  Overrides:
    `iterator` in class `FeatureMapUtil.FeatureEList<E>`

### listIterator

    public java.util.ListIterator<E> listIterator()

  Specified by:
    `listIterator` in interface `java.util.List<E>`
  Overrides:
    `listIterator` in class `FeatureMapUtil.FeatureEList<E>`

### listIterator

    public java.util.ListIterator<E> listIterator(int index)

  Specified by:
    `listIterator` in interface `java.util.List<E>`
  Overrides:
    `listIterator` in class `FeatureMapUtil.FeatureEList<E>`

### basicList

    public java.util.List<E> basicList()

  Description copied from interface: `InternalEList`
  Returns an unmodifiable list that yields unresolved values.

  Specified by:
    `basicList` in interface `InternalEList<E>`
  Overrides:
    `basicList` in class `FeatureMapUtil.FeatureEList<E>`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.